/*
控件加载项
*/
$(document).ready(function () {
    var ids = "formregister".split(',');
    for (var i = 0; i < ids.length; i++) {
        if (document.getElementById(ids[i])) {
            $("#" + ids[i] + " input[type=text],#" + ids[i] + " input[type=password]").each(function () {
                var attr = eval("(" + $(this).attr("attr") + ")");
                if (attr != null) {
                    if (attr.regex != undefined && attr.regex != "") {
                        var obj = $(this).parent().find("label");

                        $(this).focus(function () {
                            //obj.removeAttr("class");
                        });

                        $(this).blur(function () {
                            if (ValidateRegex($(this).val(), attr.regex)) {
                                $(this).parent().find("label").attr("class", "error");
                            } else {
                                $(this).parent().find("label").attr("class", "success");
                            }
                        });
                    }
                }
            });
        }
    }
});